ResourceController (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.ResourceController class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource
Class ResourceController

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController

Direct Known Subclasses:
  PlatformAutoDiscoveryAction, PortalAction, PortalAction, ResourceConfigPortalAction, ResourceControlController, ResourceInventoryPortalAction, ResourceVisibilityPortalAction, VisibilityPortalAction

    public abstract class ResourceController

extends BaseDispatchAction

An abstract subclass of `BaseDispatchAction` that provides common methods for resource controller actions.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ResourceController()`

Method Summary
`protected void` | `fetchReturnPathParams(javax.servlet.http.HttpServletRequest request, java.util.Map params)`
`protected void` | `setNavMapLocation(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.lang.String currLoc)` This method sets the current location for the nav map
`protected AppdefEntityID` | `setResource(javax.servlet.http.HttpServletRequest request)`
`protected AppdefEntityID` | `setResource(javax.servlet.http.HttpServletRequest request, AppdefEntityID entityId, boolean config)`
`protected AppdefEntityID` | `setResource(javax.servlet.http.HttpServletRequest request, boolean config)`
`protected void` | `setReturnPath(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping)`
`protected void` | `setReturnPath(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionMapping mapping, java.util.Map params)` This sets the return path for a ResourceAction by appending the type and resource id to the forward url.

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute, getKeyMethodMap`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### ResourceController

    public ResourceController()

Method Detail

### setResource

    protected AppdefEntityID setResource(javax.servlet.http.HttpServletRequest request)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setResource

    protected AppdefEntityID setResource(javax.servlet.http.HttpServletRequest request,
                                         boolean config)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setResource

    protected AppdefEntityID setResource(javax.servlet.http.HttpServletRequest request,
                                         AppdefEntityID entityId,
                                         boolean config)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fetchReturnPathParams

    protected void fetchReturnPathParams(javax.servlet.http.HttpServletRequest request,
                                         java.util.Map params)

### setReturnPath

    protected void setReturnPath(javax.servlet.http.HttpServletRequest request,
                                 org.apache.struts.action.ActionMapping mapping,
                                 java.util.Map params)
                          throws java.lang.Exception

  This sets the return path for a ResourceAction by appending the type and resource id to the forward url.

  Overrides:
    `setReturnPath` in class `BaseDispatchAction`
  Parameters:
    `request` - The current controller's request.
    `mapping` - The current controller's mapping that contains the input.
    `params` - A Map of request parameters to add to the return path.
  Throws:
    `ParameterNotFoundException` - if the type or id are not found
    `javax.servlet.ServletException` - If there is not input defined for this form
    `java.lang.Exception`

### setReturnPath

    protected void setReturnPath(javax.servlet.http.HttpServletRequest request,
                                 org.apache.struts.action.ActionMapping mapping)
                          throws java.lang.Exception

  Overrides:
    `setReturnPath` in class `BaseDispatchAction`
  Throws:
    `java.lang.Exception`

### setNavMapLocation

    protected void setNavMapLocation(javax.servlet.http.HttpServletRequest request,
                                     org.apache.struts.action.ActionMapping mapping,
                                     java.lang.String currLoc)
                              throws java.lang.Exception

  This method sets the current location for the nav map

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.